Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Move Method (DatabaseEntry, DatabaseEntry, Boolean, LockingInfo)
Cursor Class See Also Send Feedback

Set the cursor to refer to key, and store the datum associated with the given key in Current. In the presence of duplicate key values, the first data item in the set of duplicates is stored in Current. If either the key or the data is partial DatabaseEntry, its PartialLen bytes starting PartialOffset bytes from the beginning of the retrieved data record are returned as if they comprised the entire record. If any or all of the specified bytes do not exist in the record, Move is successful, and any existing bytes are returned.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool Move(
    	DatabaseEntry key,
    	DatabaseEntry data,
    	bool exact,
    	LockingInfo info
    )

Visual Basic (Declaration)
    Public Function Move ( _
    	key As DatabaseEntry, _
    	data As DatabaseEntry, _
    	exact As Boolean, _
    	info As LockingInfo _
    ) As Boolean

Visual C++
    public:
    bool Move(
    	DatabaseEntry^ key,
    	DatabaseEntry^ data,
    	bool exact,
    	LockingInfo^ info
    )

#### Parameters

key
  Type: BerkeleyDB..::.DatabaseEntry
  The key at which to position the cursor

data
  Type: BerkeleyDB..::.DatabaseEntry
  The retrieved data

exact
  Type: System..::.Boolean
  If true, require the given key to match the key in the database exactly. If false, position the cursor at the smallest key greater than or equal to the specified key, permitting partial key matches and range searches.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

# See Also

Cursor Class
Move Overload
BerkeleyDB Namespace